<?php
require('fpdf.php');
// $height_cm = $_POST['height_cm'];
// $weight_kg = $_POST['weight_kg'];
// $age_months = $_POST['age_months'];
// $gender = $_POST['gender'];

$json = $_POST['json'];
$json = json_decode($json);

$pdf = new FPDF(); 
$pdf->AddPage();
$pdf->SetFont('Arial','',12);

$pdf->SetXY(135, 16);

if ($json->gender == "female") {
    $pdf->Image('length_weight_girls.jpg',0,0,$pdf->GetPageWidth(),$pdf->GetPageHeight());
} else {
    $pdf->Image('length_weight_boys.jpg',0,0,$pdf->GetPageWidth(),$pdf->GetPageHeight());
}

//write name
$pdf->SetXY(133, 16);
$pdf->Write(0, $json->name);

$pdf->SetFont('Arial','',35);

//graph height
foreach ($json->height as $value) {
    $age_months = $value[0];
    $height_cm = $value[1];

    graphHeightBoys($age_months, $height_cm, $pdf);
}

//graph weight
foreach ($json->weight as $value) {
    $age_months = $value[0];
    $weight_kg = $value[1];

    graphWeightBoys($age_months, $weight_kg, $pdf);
}

$pdf->Output();

function graphHeightBoys($age_months, $height_cm, $pdf) {
    // $pdf->Image('length_weight_boys.jpg',0,0,$pdf->GetPageWidth(),$pdf->GetPageHeight());
    $monthsBeginX = 35;
    $monthsBeginY = 30.4;
    $monthsDeltaX = 3.65;
    $heightBeginX = 35;
    $heightBeginY = 188.4;
    $heightDeltaY = 2.247;

    //get x (age)
    $x = $monthsBeginX+($monthsDeltaX*$age_months);

    //get y (height)
    $y = $heightBeginY-($heightDeltaY*($height_cm-37));

    //graph point
    $pdf->SetXY($x,$y);
    $pdf->SetTextColor(255,0,0);
    $pdf->Write(0, '.');	    
}

function graphWeightBoys($age_months, $weight_kg, $pdf) {
    // $pdf->Image('length_weight_boys.jpg',0,0,$pdf->GetPageWidth(),$pdf->GetPageHeight());
    $monthsBeginX = 35;
    $monthsBeginY = 30.4;
    $monthsDeltaX = 3.65;
    $weightBeginX = 35;
    $weightBeginY = 260.36;
    $weightDeltaY = 11.215;

    //get x (age)
    $x = $monthsBeginX+($monthsDeltaX*$age_months);

    //get y (weight)
    $y = $weightBeginY-($weightDeltaY*($weight_kg-2));

    //graph point
    $pdf->SetXY($x,$y);
    $pdf->SetTextColor(0,255,0);
    $pdf->Write(0, '.');
}
?>